{ buildGo118Module, fetchFromGitea, lib, ... }:
buildGo118Module rec {
  pname = "tmpl";
  version = "0.3.1";

  src = fetchFromGitea {
    domain = "git.jojodev.com";
    owner = "jolheiser";
    repo = "tmpl";
    rev = "v${version}";
    sha256 = "sha256-2GThTkTSiPv4SiWmRC/acKQ7k5uqrQQRM56eOxWCg7Q=";
  };

  vendorSha256 = "sha256-PmguDbjTSz0jzj1pwUNZrO1aAFNkWSo/FAef29TjsGI=";

  ldflags = [ "-s" "-w" "-X=go.jolheiser.com/tmpl/cmd.Version=${version}" ];

  meta = with lib; {
    description = "Template automation for bootstrapping projects";
    homepage = "https://git.jojodev.com/jolheiser/tmpl";
    license = licenses.mit;
  };
}
